Bug 598686 - Low audio volume : "HDA-Intel" "VIA VT1708S"
Low audio volume : "HDA-Intel" "VIA VT1708S"
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Jaroslav Kysela
Fedora Extras Quality Assurance
:
Depends On:
Blocks: AlsaVolume
  Show dependency treegraph
 
Reported: 2010-06-01 16:36 EDT by Nicoleau Fabien
Modified: 2011-06-27 13:16 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 13:16:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
alsa-info.sh output (29.14 KB, text/plain)
2010-06-01 16:37 EDT, Nicoleau Fabien
no flags Details
Setting before changing settings (3.64 KB, text/plain)
2010-06-01 16:38 EDT, Nicoleau Fabien
no flags Details
Changes after changing settings (3.63 KB, text/plain)
2010-06-01 16:39 EDT, Nicoleau Fabien
no flags Details
output of alsa-info.sh --output (9.31 KB, application/octet-stream)
2010-06-02 18:07 EDT, Armijn Hemel
no flags Details
alsa-info.sh output (31.14 KB, text/plain)
2010-06-14 09:40 EDT, ljonget
no flags Details
script which store driver setup at shut down and restore it at boot (928 bytes, text/plain)
2010-06-15 07:55 EDT, ljonget
no flags Details

  None (edit)
Description Nicoleau Fabien 2010-06-01 16:36:50 EDT
Description of problem:

Since F13 isntallation (no problem with F12/F11 and same hardware), ouptput sound through pulseaudio is too low. If I put it to max, the sound is louder, but still too low and crackles.

Version-Release number of selected component (if applicable):
alsa-lib-1.0.23-1.fc13.x86_64
pulseaudio-libs-0.9.21-6.fc13.x86_64

How reproducible:
Every boots

Steps to Reproduce:
1. No step. The problem appears at every boot.
  
Actual results:
The sound is too low

Expected results:
The sound is at a good level

Additional info:
To have a correct level, I have too launch gmixer. Then I Put "Master front" at 90% (is at very low level at boot). Then the sound level is good and clear.

When I launched alsactl for tests : 
[root@FEDOBOX ~]# alsactl init
Unknown hardware: "HDA-Intel" "VIA VT1708S" "HDA:11060397,18490397,00100000" "0x1849" "0x0397"
Hardware is initialized using a guess method
Comment 1 Nicoleau Fabien 2010-06-01 16:37:56 EDT
Created attachment 418809 [details]
alsa-info.sh output
Comment 2 Nicoleau Fabien 2010-06-01 16:38:44 EDT
Created attachment 418810 [details]
Setting before changing settings
Comment 3 Nicoleau Fabien 2010-06-01 16:39:13 EDT
Created attachment 418811 [details]
Changes after changing settings
Comment 4 Armijn Hemel 2010-06-02 18:05:56 EDT
I am experiencing similar problems. Before the upgrade to Fedora 13 (actually a fresh reinstall) audio was fine. Now many files that I play sound like they are being clipped.

I will provide the same information as the original poster.

# alsactl init 0
Unknown hardware: "HDA-Intel" "Conexant CX20551 (Waikiki)" "HDA:14f15047,1179ff31,00100000" "0x1179" "0xff31"
Hardware is initialized using a guess method
Comment 5 Armijn Hemel 2010-06-02 18:07:36 EDT
Created attachment 419189 [details]
output of alsa-info.sh --output
Comment 6 ljonget 2010-06-14 09:36:10 EDT
Same problem here since the preupgrade from F12 to F13. the sound is very low at boot and the only solution is to level up the master front with gmixer.

#alsactl init 0
Unknown hardware: "HDA-Intel" "VIA VT1708S" "HDA:11060397,10431111,00100000" "0x1111" "0x1043"
Hardware is initialized using a guess method
Comment 7 ljonget 2010-06-14 09:40:01 EDT
Created attachment 423840 [details]
alsa-info.sh output
Comment 8 ljonget 2010-06-15 07:54:39 EDT
I manage to keep the driver configuration with an init.d script.

I'm not very experienced with bash scripting.
Comment 9 ljonget 2010-06-15 07:55:56 EDT
Created attachment 424127 [details]
script which store driver setup at shut down and restore it at boot
Comment 10 Raymond 2010-06-28 05:32:51 EDT
Why alsa-driver , alsa-lib , alsa-utils are different version ?


!!ALSA Version
!!------------

Driver version:     1.0.21
Library version:    
Utilities version:  1.0.22




!!ALSA Version
!!------------

Driver version:     1.0.21
Library version:    1.0.23
Utilities version:  1.0.22
Comment 11 Nicoleau Fabien 2010-06-29 07:12:15 EDT
I don' know. i use packages from official repo, and did not made any updates with rawhide repo (except for qt).

Here are the packages versions :

[eponyme@FEDOBOX ~]$ rpm -qa alsa-driver alsa-lib alsa-utils
alsa-lib-1.0.23-1.fc13.x86_64
alsa-utils-1.0.22-1.fc13.x86_64
[eponyme@FEDOBOX ~]$ 

Fabien
Comment 12 Raymond 2010-06-29 09:21:47 EDT
(In reply to comment #0)
> Description of problem:
> 
>
> 
> When I launched alsactl for tests : 
> [root@FEDOBOX ~]# alsactl init
> Unknown hardware: "HDA-Intel" "VIA VT1708S" "HDA:11060397,18490397,00100000"
> "0x1849" "0x0397"
> Hardware is initialized using a guess method

In previous version of Fedora , 

alsactl store when system shutdown 

and

alsactl restore after system boot up



"alsactl init" seem to be used to initialise the volume of the sound to a certain value so that LiveCD work without require the user to unmute the volume controls
Comment 13 Scott Wilburn 2010-08-31 22:58:01 EDT
I have this problem on two computers with (different) Asus motherboards. I used the gmixer trick to increase the volume. What can I do to help this get fixed properly? I'm willing to provide log files, etc.
Comment 14 Raymond 2010-09-01 03:51:00 EDT
(In reply to comment #1)
> Created attachment 418809 [details]
> alsa-info.sh output

Total dB = Master Front + PCM + Front = -75.5dB , so low volume is normal


Simple mixer control 'Master Front',0
  Capabilities: pvolume pswitch penum
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 0 [0%] [-34.50dB] [on]
  Front Right: Playback 0 [0%] [-34.50dB] [on]
Simple mixer control 'PCM',0
  Capabilities: pvolume penum
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 255
  Mono:
  Front Left: Playback 155 [61%] [-20.00dB]
  Front Right: Playback 155 [61%] [-20.00dB]
Simple mixer control 'Front',0
  Capabilities: pvolume pswitch penum
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 42
  Mono:
  Front Left: Playback 28 [67%] [-21.00dB] [on]
  Front Right: Playback 28 [67%] [-21.00dB] [on]
Comment 15 Scott Wilburn 2010-09-02 23:36:40 EDT
So it seems the default settings are too low. Any idea why?
Comment 16 Raymond 2010-09-03 03:06:50 EDT
open a terminal and run "alsamixer -c0"



try to increase/decrease volume by using the slider in the gnome volume applet at system tray


does the three volume controls "Master Front", "PCM" and "Front" of alsamixer  change as you move the slider from minimum to maximum in gnome volume applet ?
Comment 17 Scott Wilburn 2010-09-07 22:18:33 EDT
Moving the volume slide from min to max, first the PCM display increases until it maxes out, then the Front display increases until it maxes out, approximately when the volume slider reaches the top. The Master Front display stays at maximum and never changes.
Comment 18 Raymond 2010-09-09 02:57:46 EDT
do you mean the volume is still low when the three volume controls are at max level ?

or the system did not restore the volume properly after reboot ?


The "PCM" is a softvol plugin 

	control.32 {
		comment.access 'read write user'
		comment.type INTEGER
		comment.count 2
		comment.range '0 - 255'
		comment.tlv '0000000100000008ffffec1400000014'
		comment.dbmin -5100
		comment.dbmax 0
		iface MIXER
		name 'PCM Playback Volume'
		value.0 249
		value.1 249
	}


so in theory PA should control Front Playback Volume and Master Front Playback Volume instead of the softvol 



Node 0x10 [Audio Output] wcaps 0x41d: Stereo Amp-Out
  Control: name="Front Playback Volume", index=0, device=0
  Device: name="VT1708S Analog", type="Audio", device=0
  Amp-Out caps: ofs=0x2a, nsteps=0x2a, stepsize=0x05, mute=0
  Amp-Out vals:  [0x26 0x26]
  Converter: stream=0, channel=0
  PCM:
    rates [0x5e0]: 44100 48000 88200 96000 192000
    bits [0xe]: 16 20 24
    formats [0x1]: PCM
  Power states:  D0 D1 D2 D3
  Power: setting=D0, actual=D0

Node 0x16 [Audio Mixer] wcaps 0x20050b: Stereo Amp-In
  Control: name="Master Front Playback Volume", index=0, device=0
  Control: name="Master Front Playback Switch", index=0, device=0
  Control: name="Mic Playback Volume", index=0, device=0
  Control: name="Mic Playback Switch", index=0, device=0
  Control: name="Line Playback Volume", index=0, device=0
  Control: name="Line Playback Switch", index=0, device=0
  Control: name="CD Playback Volume", index=0, device=0
  Control: name="CD Playback Switch", index=0, device=0
  Amp-In caps: ofs=0x17, nsteps=0x1f, stepsize=0x05, mute=1
  Amp-In vals:  [0x00 0x00] [0x17 0x17] [0x00 0x00] [0x00 0x00] [0x00 0x00] [0x97 0x97] [0x97 0x97]
  Power states:  D0 D1 D2 D3
  Power: setting=D0, actual=D0
  Connection: 7
     0x10 0x1f 0x1a 0x1b 0x1e 0x1d 0x25
Comment 19 Nicoleau Fabien 2010-11-05 16:09:11 EDT
the problem describe in first post still exists with F14
Comment 20 Raymond 2010-11-05 21:36:35 EDT
>> The Master Front display stays at maximum and never changes.

you can open a terminal and run PA server in foreground

pulseaudio -k;pulseaudio -vvvvv

the output of PA server tell you which volume controls are used by PA server
Comment 21 Nicoleau Fabien 2011-05-27 07:21:14 EDT
Fixed for me in F15 \o/
Comment 22 Bug Zapper 2011-06-02 08:27:24 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 23 Bug Zapper 2011-06-27 13:16:48 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.